$schema: "https://json-schema.org/draft/2020-12/schema"

title: "MyOme json report"
description: "MyOme report object"
type: "object"


allOf:
  #- $ref: "base.json"
  - type: object
    properties:
      report_type:
        type: string
        const: "MONOGENIC"
      results:
        $ref: "#/definitions/MonogenicReportResults"

definitions:
  MonogenicReportResults:
    description: >-
      ReportResults is the editable, versioned component of a MyOme
      lab report. 
    type: object
    additionalProperties: false
    properties:
      classifications:
        type: array
        items:
          $ref: '../../structs.json#/definitions/VariationClassification'
      clinical_summary:
        type: string
        example: >-
          A pathogenic variant was identified in PMS2.  PMS2 is
          associated with autosomal dominant Lynch Syndrome.
      disease_information:
        type: array
        example:
          - >-
            *Lynch Syndrome*: Testing positive for a pathogenic variant
            in the PMS2 gene means your risks of developing certain
            cancers including colorectal cancer are greater than that
            of the average US individual. This is also known as Lynch
            Syndrome. Individuals with this genetic change may benefit
            from earlier and/or more frequent colonoscopy screenings.
          - >-
            *MYBPC3-related cardiomyopathy*: Individuals with mutations
            in MYBPC3 are at a higher risk of
            cardiomyopathy. Cardiomyopathy is a disease of the heart
            that causes problems with the way the heart pumps
            blood. Individuals with this genetic change can benefit
            from additional cardiac screening which may include
            imaging, EKG or additional tests.
      next_steps:
        type: array
        items:
          type: string
        example:
          - This is a medically important result that should be
            discussed with a healthcare provider, such as a genetic
            counselor, to learn more about this result and the
            appropriate next steps for further evaluation, treatment
            and/or management. This result should be interpreted within
            the context of additional laboratory results, family history
            and clinical findings.
          - The NCCN Clinical Practice Guidelines suggest that women
            with a mutation in the PMS2 gene get an annual mammogram
            and MRI with contrast starting at age 25-30. Additionally,
            NCCN guidelines suggest the surgical removal of the
            ovaries and fallopian tubes between ages 35 and 40 to
            reduce the risk of developing breast and ovarian
            cancer. We recommend that you discuss the NCCN guidelines
            with a physician with appropriate expertise to determine
            the best course of action based on your personal
            circumstances and family history. Please see NCCN
            [nccn.org](https://nccn.org) for management guidelines
            regarding PMS2-related condition(s).
          - Consider sharing this result with relatives as they may
            also be at risk. Details on our Family Variant Testing
            program can be found at [myome.com](www.myome.com).
      toplines:
        type: array
        items:
          $ref: '#/definitions/Topline'

  Topline:
    type: object
    properties:
      finding:
        type: string
        enum: ['positive', 'negative']
        example: 'positive'
      text:
        type: string
        example: A pathogenic mutation was identified in the PMS2 gene.
